## org.codehaus.groovy.grails.web.errors
Class GrailsExceptionResolver

    java.lang.Object
      org.springframework.web.servlet.handler.SimpleMappingExceptionResolver
          org.codehaus.groovy.grails.web.errors.GrailsExceptionResolver

All Implemented Interfaces:
  Ordered, ServletContextAware, HandlerExceptionResolver

    public class GrailsExceptionResolver

extends SimpleMappingExceptionResolver
implements ServletContextAware

Exception resolver that wraps any runtime exceptions with a GrailsWrappedException instance

Since:
  22 Dec, 2005
Author:
  Graeme Rocher

Field Summary

Fields inherited from class org.springframework.web.servlet.handler.SimpleMappingExceptionResolver
`DEFAULT_EXCEPTION_ATTRIBUTE, logger`

Fields inherited from interface org.springframework.core.Ordered
`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

Constructor Summary
`GrailsExceptionResolver()`

Method Summary
`ModelAndView` `resolveException(HttpServletRequest request, HttpServletResponse response, Object handler, Exception ex)`
`void` `setServletContext(ServletContext servletContext)`

Methods inherited from class org.springframework.web.servlet.handler.SimpleMappingExceptionResolver
`applyStatusCodeIfPossible, buildLogMessage, determineStatusCode, determineViewName, doResolveException, findMatchingViewName, getDepth, getModelAndView, getModelAndView, getOrder, logException, setDefaultErrorView, setDefaultStatusCode, setExceptionAttribute, setExceptionMappings, setMappedHandlerClasses, setMappedHandlers, setOrder, setWarnLogCategory, shouldApplyTo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsExceptionResolver

    public GrailsExceptionResolver()

Method Detail

### resolveException

    public ModelAndView resolveException(HttpServletRequest request,
                                         HttpServletResponse response,
                                         Object handler,
                                         Exception ex)

  Specified by:
    `resolveException` in interface `HandlerExceptionResolver`
  Overrides:
    `resolveException` in class `SimpleMappingExceptionResolver`

### setServletContext

    public void setServletContext(ServletContext servletContext)

  Specified by:
    `setServletContext` in interface `ServletContextAware`

Copyright (c) 2005-2006 The Grails project